Skip to content

List Technology Target Values

Request

Get list of technology target values. Can be sorted by:

  • id,
  • dimension,
  • parent_id,
  • name,
  • full_path,
  • value,
  • code,
  • sortable_name and queried (with q=) by:
  • id,
  • parent_id,
  • name,
  • full_path (if provided parameter full_path will be ignored),
  • value,
  • code,
  • sortable_name.
Security
Auth0(Required scopes: offline_accessmanage:services)
Query
namestring

Case insensitive name contains search. Example: name=target1

full_pathstring

Case insensitive full_path contains search. Example: full_path=target1

dimension_codestringrequired

Comma separated list of dimension codes. Example: dimension_code=BRLG,BSER. Supported values:

  • BRLG - Browser Language,
  • OSXX - Operating System (extended),
  • BSER - Browser,
  • CSPD - Connection Speed,
  • DVMD - Device Model,
  • DVCE - Device,
  • INVT - Inventory (supply source/publisher),
  • ISPX - ISP (Internet Service Provider),
  • VAUD - Video: Audibility,
  • VCON - Video: Context,
  • VLIN - Video: Linearity (linear vs non-linear),
  • VPLC - Video: Placement,
  • VPSZ - Video: Player Size,
  • VSKP - Video: Skippability,
  • DMAX - Designated Market Area,
  • REGN - Region (geographic region),
  • COUNTRY - Country,
  • CITY - City.
sort_bystring

The field to sort by. You can use any field name in ascending or descending order. For ascending order, use the field name directly, e.g., id. For descending order, prefix the field name with a hyphen (-), e.g., -id.

Example:sort_by=id, -id, name, -name
qstring

Query search for filtering. This parameter can be used to filter results based on various fields. Supported operators:

  • == - numeric equality or case-sensitive string identity,
  • ==(1,2,3) - IN query (only works for integers),
  • != - numeric inequality or case-sensitive string non-identity,
  • =: - case-insensitive match, allows substring using * wildcards,
  • < - less than,
  • <= - less than or equal to,
  • > - greater than,
  • >= - greater than or equal to. Examples:
  • q=name=:{search}* to find all results with names starting with {search}.
  • q=status==true to find all active entities.
  • q=id>=1000 to find all entities with id greater than or equal to 1000.
  • q=id==(1,2,3) to find specific entities by ID.
  • q=created_on>1999-02-02 or q=created_on>1999-02-02T00:00:00Z to find entities created later than date.
  • q=id>5&status==true to find all active entities with id greater than 5.
GET
/technology_target_values
curl -i -X GET \
  'https://api.mediamath.com/api/v3.0/technology_target_values?name=string&full_path=string&dimension_code=string&sort_by=id%2C%20-id%2C%20name%2C%20-name&q=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

List technology target values

Bodyapplication/json
dataArray of objects or null
metaobject(pagination metadata)
Response
{ "data": [ {} ], "meta": { "status": "success", "count": 10, "total_count": 100, "offset": 0, "next_page": "string", "prev_page": "string" } }